{
	"name": "plugin/nc-calc-server/column/production_order.json",
	"option": {
		"suppress_menu": true,
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "colDef.field === 'pro.can_be_manufactured' && x !== data.pro_can_be_manufactured_old || colDef.field === 'pro.pro_manufacturing_state' && x !== data.pro_manufacturing_state_old"
			}
		}
	},
	"column-": [
		{
			"field": "pro.product_id",
			"organization_id": { "4d": { "load": false } },
			"width": 120,
			"name": "Product",
			"name_fi": "Tuote"
		}
	],
	"column": [
		{
			"field": "pro.product_id",
			"width": 120,
			"name": "Work",
			"name_fi": "Työ"
		},
		{
			"field": "pro.production_order_id",
			"width": 140,
			"name": "Production ord",
			"name_fi": "Tuotantotilaus"
		},
		{
			"field": "pro.row_number",
			"name": "Row",
			"name_fi": "Rivi",
			"width": 60
		},
		{
			"field": "pro.drawing_number",
			"name": "Drawing",
			"name_fi": "Piir. nro",
			"width": 200
		},
		{
			"field": "pro.json_data.production_order_number",
			"name": "Production ord",
			"name_fi": "Työmääräin",
			"width": 120
		},
		{
			"field": "pro.production_order_state",
			"name": "Ord state",
			"name_fi": "Työm. tila",
			"width": 180
		},
		{
			"field": "pro.company_id",
			"name": "Customer",
			"name_fi": "Asiakas",
			"width": 150
		},
		{
			"field": "pro.sales_order_id",
			"name": "Sales ord",
			"name_fi": "Myyntitilaus",
			"width": 150
		},
		{
			"field": "pro.sales_order_row",
			"name": "Row",
			"name_fi": "rivi",
			"width": 120
		},
		{
			"field": "pro.amount_to_produce",
			"name": "To produce",
			"name_fi": "Valmistettava",
			"width": 100
		},
		{
			"field": "pro.produced_amount",
			"name": "Produced",
			"name_fi": "Valmistettu",
			"width": 100
		},
		{
			"field": "pro.failed_amount",
			"name": "Failed",
			"name_fi": "Hylätty",
			"width": 100
		},
		{
			"field": "pro.remaining_amount",
			"name": "Remaining",
			"name_fi": "Jäljellä",
			"width": 100
		},
		{
			"field": "pro.json_data.delivery_date",
			"name": "Delivery date",
			"name_fi": "Toimitus pv",
			"width": 150
		},
		{
			"field": "pro.json_data.critical_end_date",
			"name": "Critical end date",
			"name_fi": "Kr. loppu pv",
			"width": 150
		},
		{
			"variable": "pro_can_be_manufactured_old",
			"name": "Can be manufactured",
			"name_fi": "Valmistettavissa",
			"width": 130,
			"format": "%'.0f"
		},
		{
			"variable": "pro_can_be_manufactured",
			"name": "Can be manufactured 2",
			"name_fi": "Valmistettavissa 2",
			"width": 400,
			"format": "%'.0f"
		},
		{
			"variable": "pro_manufacturing_state_old",
			"name": "Manufacturing state",
			"name_fi": "Valmistustila",
			"width": 100,
			"format": "%'.0f"
		},
		{
			"variable": "pro_manufacturing_state",
			"name": "Manufacturing state 2",
			"name_fi": "Valmistustila 2",
			"width": 100,
			"format": "%'.0f"
		},
		{
			"field": "pro.info",
			"name": "Info",
			"name_fi": "Info",
			"width": 650
		},
		{
			"field": "pro.record_id",
			"name": "Record ID",
			"name_fi": "Record id",
			"width": 110
		},
		{
			"field": "pro.modify_id",
			"name": "Modify id",
			"width": 110
		}
	]
}
